using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SumOfSelectedCells
{
    public partial class Form1 : Form
    {
        int TotalSum = 0;
        bool flag;
        public Form1()
        {
            InitializeComponent();
            fpSpread1.Sheets[0].RowCount = 10;
            fpSpread1.Sheets[0].ColumnCount = 15;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.SelectionBlockOptions = FarPoint.Win.Spread.SelectionBlockOptions.Cells; // Set operation mode and let users select multiple blocks of cells
            fpSpread1.Sheets[0].SelectionPolicy = FarPoint.Win.Spread.Model.SelectionPolicy.MultiRange;

            fpSpread1.Sheets[0].ColumnFooter.Visible = true;
            fpSpread1.Sheets[0].ColumnFooter.RowCount = 2;
            fpSpread1.Sheets[0].ColumnFooter.DefaultStyle.ForeColor = Color.Purple;
            fpSpread1.Sheets[0].ColumnFooter.Columns[12].HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Left;
            fpSpread1.Sheets[0].ColumnFooter.Cells[0, 12].RowSpan = 2;

            fpSpread1.ActiveSheet.Cells[0, 0].Value = 9;
            fpSpread1.ActiveSheet.Cells[0, 1].Value = 10;
            fpSpread1.ActiveSheet.Cells[0, 2].Value = 1;
            fpSpread1.ActiveSheet.Cells[0, 3].Value = 2;
            fpSpread1.ActiveSheet.Cells[1, 0].Value = 3;
            fpSpread1.ActiveSheet.Cells[2, 0].Value = 4;
            fpSpread1.ActiveSheet.Cells[3, 0].Value = 5;
        }

        private void fpSpread1_CellClick(object sender, FarPoint.Win.Spread.CellClickEventArgs e)
        {
            if (flag == true && Control.MouseButtons == MouseButtons.Left)
                if (fpSpread1.ActiveSheet.Cells[e.Row, e.Column].Value != null)
                    TotalSum += (int)fpSpread1.ActiveSheet.Cells[e.Row, e.Column].Value;
                else if (flag == false && Control.MouseButtons == MouseButtons.Left)
                    if (fpSpread1.ActiveSheet.Cells[e.Row, e.Column].Value != null)
                        TotalSum = (int)fpSpread1.ActiveSheet.ActiveCell.Value;
                    else
                        TotalSum = 0;
                else
                    TotalSum = 0;
        }
        private void fpSpread1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.ControlKey)
                flag = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            fpSpread1.ActiveSheet.ColumnFooter.Cells[0, 1].Value = TotalSum;
        }

    }
}